Subject: [PATCH RFC 1/2] gpio: Add a block GPIO API to gpiolib

From: [email-masked] (Roland Stigge)
Date: Fri, 28 Sep 2012 14:35:04 +0200

Hi,

On 09/28/2012 01:34 PM, Linus Walleij wrote:
>> Or some kind of new character device node?
> 
> Yes, I don't know if we should create /dev/gpioN or /dev/pinctrlN for
> this, and add GPIO functions to pinctrl (while wrapping it in the
> gpiolib to aid migration) the latter would encourage users of the
> new ABI to switch to writing pinctrl drivers.

Will have a look at this.

>> Otherwise, I need to think about leaving out the sysfs for this purpose.
> 
> Do you really need it?

In more that half of the cases, I needed userspace access. So I'm quite
interested in it.

Thanks for your notes.

Roland